Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1335957

Summary: soundconverter: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: soundconverterAssignee: Xavier Lamien <lxtnow>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bugs.michael, lxtnow, mhroncok, pviktori
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-02 10:58:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1322027    

Description Tomas Orsava 2016-05-13 15:39:10 UTC
Upstream, this software supports Python 3 [3]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/
[3] https://github.com/kassoulet/soundconverter/search?utf8=%E2%9C%93&q=python3

Comment 1 Jan Kurik 2016-07-26 04:38:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:54:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:44:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Miro HronĨok 2017-12-12 11:57:31 UTC
This is still relevant, reported ages ago. Xavier?

Comment 5 Michael Schwendt 2017-12-26 20:05:55 UTC
> This is still relevant, reported ages ago. Xavier?

The bug reporter doesn't seem to now what he is talking about and requesting her, unfortunately. Soundconverter 2.1.6, as available in the Fedora package collection, is strictly based on Python 2 and various GNOME 2 packages and does _not_ support Python 3. Soundconverter 3 is a completely different beast, which hasn't worked at all for a long time because it is much more than a port to Python 3. It needs to use different backends altogether. Please be extremely careful with a decision whether and how to package it. Even providing it in alternative packages may lead to severe breakage and offend users. Evaluate the new version cautiously. Soundconverter 2 required tons of fixes to get usable. Just skimming over the package %changelog tells parts of the tale. Plus more activity in the launchpad tracker.

Comment 6 Petr Viktorin 2018-01-02 10:58:32 UTC
Ah, that's right; Soundronverter 3.0 has not been released yet.
Thanks for the explanation, and sorry for the mix-up.

Do note that Python 2 will reach end-of-life in about two years, though. Do you think Soundconverter 3 will be ready by then, or is this something to worry about?

Comment 7 Red Hat Bugzilla 2023-09-12 01:06:06 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days